Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports System.Xml
Imports DevExpress.ExpressApp.SystemModule

<DefaultClassOptions()> _
<ListViewFilter("Összes", "", True)> _
<ListViewFilter("Mai", "[DateValid] = '@CurrentDate'")> _
<ListViewFilter("Elmúlt hét", "[DateValid] >= '@LastWorkWeekStart' AND [DateValid] < '@LastWorkWeekEnd'")> _
<ListViewFilter("Elmúlt hónap", " IsOutlookIntervalEarlierThisMonth(DateValid)=True")> _
<NavigationItem("FinancialStock")> _
Public Class CurrencyRate
    Inherits BaseObject
    Private _CurrencyName As CurrencyName
    Private _LiquidAssets As LiquidAssets
    Private _DateValid As Date
    Private _RateAverage As Double
    Private _RatePurchase As Double
    Private _RateSelling As Double
    Private _Active As Boolean
    Private _IsMNB As Boolean = False
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property CurrencyName() As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(ByVal value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    Property LiquidAssets() As LiquidAssets
        Get
            Return _LiquidAssets
        End Get
        Set(ByVal value As LiquidAssets)
            SetPropertyValue("LiquidAssets", _LiquidAssets, value)
        End Set
    End Property
    Property DateValid() As Date
        Get
            Return _DateValid
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateValid", _DateValid, value)
        End Set
    End Property
    Property RateAverage() As Double
        Get
            Return _RateAverage
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("RateAverage", _RateAverage, value)
        End Set
    End Property
    Property RatePurchase() As Double
        Get
            Return _RatePurchase
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("RatePurchase", _RatePurchase, value)
        End Set
    End Property
    Property RateSelling() As Double
        Get
            Return _RateSelling
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("RateSelling", _RateSelling, value)
        End Set
    End Property
    Property Active() As Boolean
        Get
            Return _Active
        End Get
        Set(ByVal value As Boolean)
            SetPropertyValue("Active", _Active, value)
        End Set
    End Property
    Property IsMNB As Boolean
        Get
            Return _IsMNB
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsMNB", _IsMNB, value)
        End Set
    End Property

End Class ' Devizaárfolyam

